GNU bug report logs - #8787
23.3; Unsafe directory at startup.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: gerald.jean@HIDDEN; merged with #865, #3281, #4197; dated Thu, 2 Jun 2011 16:14:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 865 3281 4197 8787. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jun 2011 16:13:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 12:13:33 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QSAWZ-00017N-Uu
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2011 12:13:33 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <prvs=127d9d8a2=gerald.jean@HIDDEN>)
	id 1QSABe-0000cT-DB
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2011 11:51:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=127d9d8a2=gerald.jean@HIDDEN>)
	id 1QSABX-0003i0-8A
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2011 11:51:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:55972)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=127d9d8a2=gerald.jean@HIDDEN>)
	id 1QSABW-0003hu-Vv
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2011 11:51:47 -0400
Received: from eggs.gnu.org ([140.186.70.92]:47135)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=127d9d8a2=gerald.jean@HIDDEN>)
	id 1QSABU-0006Qc-Fj
	for bug-gnu-emacs@HIDDEN; Thu, 02 Jun 2011 11:51:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <prvs=127d9d8a2=gerald.jean@HIDDEN>)
	id 1QSABR-0003hA-K5
	for bug-gnu-emacs@HIDDEN; Thu, 02 Jun 2011 11:51:44 -0400
Received: from mail2.dgdom.net ([206.47.217.124]:9835)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <prvs=127d9d8a2=gerald.jean@HIDDEN>)
	id 1QSABQ-0003Yy-Sh
	for bug-gnu-emacs@HIDDEN; Thu, 02 Jun 2011 11:51:41 -0400
X-IronPort-AV: E=Sophos;i="4.65,310,1304308800"; 
   d="scan'208";a="6110766"
Received: from unknown (HELO mail.spgdag.ca) ([192.168.2.253])
	by ironportl01.dgdom.net with ESMTP; 02 Jun 2011 11:49:15 -0400
Subject: 23.3; Unsafe directory at startup.
To: bug-gnu-emacs@HIDDEN
X-Mailer: Lotus Notes Release 7.0.2 September 26, 2006
Message-ID: <OF786443D7.5DF8CE2F-ON852578A3.0056C6FC-852578A3.0056E7A1@HIDDEN>
From: gerald.jean@HIDDEN
Date: Thu, 2 Jun 2011 11:49:14 -0400
X-MIMETrack: Serialize by Router on NTNOPASL1/SRVEXT/SPGDAG/Desjardins(Release
	7.0.2FP3|December 13, 2007) at 06/02/2011 11:49:15 AM
MIME-Version: 1.0
Content-type: text/plain; charset=ISO-8859-1
Content-transfer-encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 02 Jun 2011 12:13:30 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)


From: gerald.jean@HIDDEN (G=E9rald Jean)
To: bug-gnu-emacs@HIDDEN
Subject: 23.3; Unsafe directory at startup.
--text follows this line--
This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your report will be posted to the bug-gnu-emacs@HIDDEN mailing list
and the gnu.emacs.bug news group, and at http://debbugs.gnu.org.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

Hello,

I just installed emacs-23.3.1 on a 64-bit Windows server where I have
temporary admin rights.


I did copy my .emacs file from a 32-bit Windows workstation to the
startup directory.


At startup I get the following error.


&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
Warning (initialization): An error occurred while loading `c:/Program
Files/Emacs/.emacs':


error: The directory `~/.emacs.d/server' is unsafe
&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


this directory is created by Emacs itself, why is it "unsafe"?

Thanks,

G=E9rald Jean



If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
c:/Program Files/Emacs/emacs-23.3/etc/DEBUG.


In GNU Emacs 23.3.1 (i386-mingw-nt6.1.7601)
 of 2011-03-10 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/imagesupport/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: FRC
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  desktop-save-mode: t
  iswitchb-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x + C-x o C-x b <return> <help-echo> C-x o C-x k
<return> M-x R e p <backspace> <backspace> <backspace>
r e p o r t SPC e m a SPC b SPC <return>

Recent messages:
Loading c:/Program Files/Emacs/myemacs (compiled; note, source file is
newer)...
error: (error The directory `~/.emacs.d/server' is unsafe)
Preparing diary...done
Preparing diary...done
Loading c:/Program Files/Emacs/.abbrev_defs...done
Loading c:/Program Files/Emacs/mymacros.el (source)...done
Loading c:/Program Files/Emacs/myemacs (compiled; note, source file is
newer)...done
Wrote c:/Windows/system32/.emacs.desktop.lock
Desktop: 5 buffers restored.
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
c:/Program Files/Emacs/emacs-23.3/lisp/language/tibetan hides c:/Progra=
m
Files/Emacs/emacs-23.3/leim/quail/tibetan
c:/Program Files/Emacs/emacs-23.3/lisp/language/thai hides c:/Program
Files/Emacs/emacs-23.3/leim/quail/thai
c:/Program Files/Emacs/emacs-23.3/lisp/language/slovak hides c:/Program=

Files/Emacs/emacs-23.3/leim/quail/slovak
c:/Program Files/Emacs/emacs-23.3/lisp/language/lao hides c:/Program
Files/Emacs/emacs-23.3/leim/quail/lao
c:/Program Files/Emacs/emacs-23.3/lisp/language/japanese hides c:/Progr=
am
Files/Emacs/emacs-23.3/leim/quail/japanese
c:/Program Files/Emacs/emacs-23.3/lisp/language/indian hides c:/Program=

Files/Emacs/emacs-23.3/leim/quail/indian
c:/Program Files/Emacs/emacs-23.3/lisp/language/hebrew hides c:/Program=

Files/Emacs/emacs-23.3/leim/quail/hebrew
c:/Program Files/Emacs/emacs-23.3/lisp/language/greek hides c:/Program
Files/Emacs/emacs-23.3/leim/quail/greek
c:/Program Files/Emacs/emacs-23.3/lisp/language/georgian hides c:/Progr=
am
Files/Emacs/emacs-23.3/leim/quail/georgian
c:/Program Files/Emacs/emacs-23.3/lisp/language/ethiopic hides c:/Progr=
am
Files/Emacs/emacs-23.3/leim/quail/ethiopic
c:/Program Files/Emacs/emacs-23.3/lisp/language/czech hides c:/Program
Files/Emacs/emacs-23.3/leim/quail/czech
c:/Program Files/Emacs/emacs-23.3/lisp/language/cyrillic hides c:/Progr=
am
Files/Emacs/emacs-23.3/leim/quail/cyrillic

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231=

rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1=

hex-util hashcash mail-utils emacsbug dired desktop saveplace uniquify
advice help-fns advice-preload iswitchb time mule-util cal-move appt
view cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays hol-loaddefs diary-lib diary-loaddefs regexp-opt cal-menu
easymenu calendar cal-loaddefs avoid show-whitespace paren mic-paren
strip-whitespace server tooltip ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset=

image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech europea=
n
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help=

simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process multi-tt=
y
emacs)


G=E9rald Jean
Conseiller senior en statistiques,
VP Actuariat et Solutions d'assurances,
Desjardins Groupe d'Assurances G=E9n=E9rales
t=E9lephone            : (418) 835-4900 poste (7639)
t=E9lecopieur          : (418) 835-6657
courrier =E9lectronique: gerald.jean@HIDDEN

"We believe in God, others must bring Data."

W. Edwards Deming=






Acknowledgement sent to gerald.jean@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8787; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.